HELP2MAN(1)

NOMO
help2man - generas simplan man-paĝon

RESUMO
help2man [MODIFILO]... PLENUMEBLAĴO

PRISKRIBO
'help2man' generas man-paĝon el eligoj de '--help' kaj '--version'.

-n, --name=ĈENO
    priskribo por la alineo NAME (NOMO)

-s, --section=SEKCIO
    sekci-numero por man-paĝo (1, 6, 8)

-m, --manual=TEKSTO
    nomo de la manlibro (Uzant-Komandoj, ...)

-S, --source=TEKSTO
    fonto de la programo (FSF, Debian, ...)

-L, --locale=ĈENO
    elekti lokaĵaron (aprioras "C")

-i, --include=DOSIERO
    inkluzivigi materialon el 'DOSIERO'

-I, --opt-include=DOSIERO inkluzivigi materialon el 'DOSIERO' se ĝi ekzistas

-o, --output=DOSIERO
    sendi eligon al 'DOSIERO'

-p, --info-page=TEKSTO
    nomo de manlibro Texinfo

-N, --no-info
    formeti referencon al manlibro Texinfo

-l, --libtool
    forviŝi la 'lt-' el la program-nomo

--help
    montri tiun ĉi helpon, kaj eliri

--version
    montri versio-numeron, kaj eliri

PLENUMEBLAĴO devas akcepti modifilojn '--help' kaj '--version' kaj eligi al ĉefeligujo kvankam alternativoj povas esti indikataj uzante:

-h, --help-option=ĈENO
    help-elektila ĉeno

-v, --version-option=ĈENO versi-elektila ĉeno

--version-string=ĈENO
    versia ĉeno

--no-discard-stderr
    inkluzivigi ĉeferarujo dum analizado de elektil-eligo

Raportu program-misojn al <bug-help2man@gnu.org>.

Kopirajto (C) 1997, 1998, 1999, 2000, 2001, 2002, 2003, 2004, 2005, 2009, 2010, 2011, 2012, 2013 Free Software Foundation, Inc. Tio ĉi estas libera programaro; rigardu la fontkodon por kopi-kondiĉoj. Estas NENIU garantio; eĉ ne por MERKATIGEBLO aŭ TAŬGECO POR SPECIFA CELO.

INKLUZIV-DOSIEROJ
Kroma materialo povos esti enmetata en la generota eligo per la elektiloj --include kaj --opt-include La formo estas simpla:
    [sekcio]
    teksto
    /ŝablono/
    teksto Pecoj de netuŝita teksto *roff estos enmetataj en la eligo en la komenco de la donita [sekcio] (iu ajn uskleco), aŭ post alineo kongruanta al /ŝablono/. Ŝablonoj uzas la sintakson de regul-esprimoj Perl kaj povas esti sekvataj de la modifiloj i, s aŭ m (konsultu perlre(1)). Linioj antaŭ la unua sekcio aŭ ŝablono komencantaj per '-' estas traktataj kiel modifiloj. Ĉio alia estas silente preteratentata kaj povas esti uzata por komentoj, ŝlosilvortoj RCS kaj simile. La sekci-eliga ordo (por tiuj enmetitaj) estas:
    NOMO
    RESUMO
    PRISKRIBO
    ELEKTILOJ|MODIFILOJ
    MEDIO
    DOSIEROJ
    EKZEMPLOJ
    alia
    AŬTORO
    RAPORTO DE PROGRAM-MISOJ
    KOPIRAJTO
    KONSULTU ANKAŬ Iu ajn sekcio [NOMO] aŭ [RESUMO] aperantaj en la inkluziv-dosiero anstataŭigos kion ajn estus aŭtomate produktite (kvankam vi ankoraŭ povas preterpasi la NOMOn per --name se bezonate). Aliaj sekcioj estos antaŭmetataj al la aŭtomate produktota eligo por la normaj sekcioj montrataj supre, aŭ inkluzivataj ĉe alia (supre) laŭ la ordo kiel ili estis trovataj en la inkluziv-dosiero. Almeto de teksto en la sekcion povas esti malimplice petata uzante la sintakson [<sekcio], [=sekcio] aŭ [>sekcio] por meti la kroman tekston antaŭ, ĉe, aŭ post la ordinara eligo, respektive.

DISPONEBLECO
La lasta versio de tiu ĉi eldono disponeblas retkonekte el:
    ftp://ftp.gnu.org/gnu/help2man/

AŬTORO
Verkita de Brendan O'Dea <bod@debian.org>

KONSULTU ANKAŬ
La kompleta dokumentaro por help2man estas tenata kiel manlibro Texinfo. Se la programoj info kaj help2man estas ĝuste instalitaj en via sistemo, la komando

    info help2man

devos doni al vi aliron al la kompleta manlibro.